Bug 51500 - [patch] net/licq can not be built with OpenSSL from ports
Summary: [patch] net/licq can not be built with OpenSSL from ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-28 15:50 UTC by Oleg Sharoiko
Modified: 2003-04-28 18:16 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Sharoiko 2003-04-28 15:50:13 UTC
	net/licq/Makefiles defines USE_OPENSSL and includes 
	security/openssl/bsd.openssl.mk
	Such a combination allows licq to be compiled only
	with openssl from base system but no with the one from ports.
	Applied patch solves the problem.

Fix: 

Patch for the net/licq/Makefile

--- Makefile    20 Feb 2003 18:26:38 -0000      1.46
+++ Makefile    28 Apr 2003 14:41:26 -0000
@@ -19,7 +19,7 @@
 BUILD_DEPENDS= ${LOCALBASE}/lib/libsocks5.a:${PORTSDIR}/net/socks5
 .endif
 
-USE_OPENSSL=   yes
+#USE_OPENSSL=  yes
 WRKSRC=                ${WRKDIR}/${DISTNAME}
 LICQ_PORT?=    ${.CURDIR}
Comment 1 Dirk Meyer freebsd_committer 2003-04-28 17:59:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

over to maintainer
Comment 2 Dirk Meyer freebsd_committer 2003-04-28 18:15:42 UTC
State Changed
From-To: open->closed


The suggested patch works only on old releases, 
when there is no libssl.so.3 in the base. 

# ldd /image/usr/ports/net/licq/work/licq-1.2.6/src/licq 
/image/usr/ports/net/licq/work/licq-1.2.6/src/licq: 
libssl.so.3 => /usr/lib/libssl.so.3 (0x28114000) 
libcrypto.so.3 => /usr/lib/libcrypto.so.3 (0x2814e000) 
libstdc++.so.3 => /usr/lib/libstdc++.so.3 (0x28292000) 
libm.so.2 => /usr/lib/libm.so.2 (0x282e3000) 
libc_r.so.4 => /usr/lib/libc_r.so.4 (0x28307000) 

A patch has been committed, that take care of this. 
verified: 

# ldd /image/usr/ports/current/licq/work/licq-1.2.6/src/licq 
/image/usr/ports/current/licq/work/licq-1.2.6/src/licq: 
libssl.so.3 => /usr/local/lib/libssl.so.3 (0x28114000) 
libcrypto.so.3 => /usr/local/lib/libcrypto.so.3 (0x2814d000) 
libstdc++.so.3 => /usr/lib/libstdc++.so.3 (0x28271000) 
libm.so.2 => /usr/lib/libm.so.2 (0x282c2000) 
libc_r.so.4 => /usr/lib/libc_r.so.4 (0x282e6000)